# MSP::CCS::MapProjectionCoordinates Class Reference

`#include <MapProjectionCoordinates.h>`

Inheritance diagram for MSP::CCS::MapProjectionCoordinates:

List of all members.

## Public Member Functions

| MapProjectionCoordinates ()
| MapProjectionCoordinates (CoordinateType::Enum _coordinateType)
| MapProjectionCoordinates (CoordinateType::Enum _coordinateType, double __easting, double __northing)
| MapProjectionCoordinates (CoordinateType::Enum _coordinateType, const char *__warningMessage, double __easting, double __northing)
| MapProjectionCoordinates (const MapProjectionCoordinates &c)
| ~MapProjectionCoordinates ()
MapProjectionCoordinates & | operator= (const MapProjectionCoordinates &c)
void | set (double __easting, double __northing)
void | setEasting (double __easting)
double | easting () const
void | setNorthing (double __northing)
double | northing () const

## Detailed Description

Definition at line 15 of file MapProjectionCoordinates.h.

## Constructor & Destructor Documentation

MapProjectionCoordinates::MapProjectionCoordinates | ( |  | ) |

Definition at line 11 of file MapProjectionCoordinates.cpp.

MapProjectionCoordinates::MapProjectionCoordinates | ( | CoordinateType::Enum | _coordinateType | ) |

Definition at line 19 of file MapProjectionCoordinates.cpp.

MapProjectionCoordinates::MapProjectionCoordinates | ( | CoordinateType::Enum | _coordinateType,
|  | double | __easting,
|  | double | __northing |
| ) |  |  |

Definition at line 27 of file MapProjectionCoordinates.cpp.

MapProjectionCoordinates::MapProjectionCoordinates | ( | CoordinateType::Enum | _coordinateType,
|  | const char * | __warningMessage,
|  | double | __easting,
|  | double | __northing |
| ) |  |  |

Definition at line 35 of file MapProjectionCoordinates.cpp.

MapProjectionCoordinates::MapProjectionCoordinates | ( | const MapProjectionCoordinates & | c | ) |

Definition at line 46 of file MapProjectionCoordinates.cpp.

MapProjectionCoordinates::~MapProjectionCoordinates | ( |  | ) |

Definition at line 59 of file MapProjectionCoordinates.cpp.

## Member Function Documentation

double MapProjectionCoordinates::easting | ( |  | ) | const

Definition at line 97 of file MapProjectionCoordinates.cpp.

double MapProjectionCoordinates::northing | ( |  | ) | const

Definition at line 109 of file MapProjectionCoordinates.cpp.

MapProjectionCoordinates & MapProjectionCoordinates::operator= | ( | const MapProjectionCoordinates & | c | ) |

Reimplemented from MSP::CCS::CoordinateTuple.

Definition at line 66 of file MapProjectionCoordinates.cpp.

void MapProjectionCoordinates::set | ( | double | __easting,
|  | double | __northing |
| ) |  |  |

Definition at line 84 of file MapProjectionCoordinates.cpp.

void MapProjectionCoordinates::setEasting | ( | double | __easting | ) |

Definition at line 91 of file MapProjectionCoordinates.cpp.

void MapProjectionCoordinates::setNorthing | ( | double | __northing | ) |

Definition at line 103 of file MapProjectionCoordinates.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateTuples/MapProjectionCoordinates.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateTuples/MapProjectionCoordinates.cpp